# class DRb::DRbRemoteError

An exception wrapping an error object

### Attributes

reason[R]

the class of the error, as a string.

### Public Class Methods

new(error) click to toggle source

Creates a new remote error that wraps the `Exception` `error`

Calls superclass method `Exception::new`

    # File lib/drb/drb.rb, line 433
    def initialize(error)
      @reason = error.class.to_s
      super("#{error.message} (#{error.class})")
      set_backtrace(error.backtrace)
    end